Summary: minimalistic headless WebKit-based JavaScript-driven tool
Name: phantomjs
Version: 1.0.0
Release: 1%{?_dist_release}
License: modified BSD-Style License
Group: Development/Tools
URL: http://code.google.com/p/phantomjs/
Source0: http://phantomjs.googlecode.com/files/%{name}-%{version}.zip
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires: unzip
BuildRequires: qt4-devel >= 4.7 qt4-designer

Vendor: Project Vine
Distribution: Vine Linux
Packager: iwaim

%description
PhantomJS is a minimalistic, headless, WebKit-based JavaScript-driven tool.

It has native (and high performant) support for DOM handling, CSS selector,
JSON, Canvas, and SVG.

%prep
%setup -q
qmake PREFIX=%{_prefix}

%build
make %{?_smp_mflags}

%install
%__rm -rf %{buildroot}
%__mkdir -p %{buildroot}%{_bindir}
%__install -m 0755 bin/* %{buildroot}%{_bindir}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog LICENSE.BSD README.md examples
%{_bindir}/phantomjs

%changelog
* Wed Mar  9 2011 IWAI, Masaharu <iwai@alib.jp> 1.0.0-1
- Initial build.


